/**
 * 
 */
package com.ejie.ad74a.model;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * Representacion de un registro de la tabla AD74A89T00 MENSUALIDADES
 * @author BICUGUAL
 *
 */
public class Mensualidad implements Serializable {


	private static final long serialVersionUID = 1L;

	private Long idMensualidad;
	private Long idSolicitante;
	private Integer anyo;
	private Integer mes;
	private Long grupoImpago;
	private Boolean exoneracion;
	
	private BigDecimal importe;
	private String idEjecucion;
	
	public Mensualidad() {
		super();
	}

	public Mensualidad(Long idSolicitante, Integer anyo, Integer mes, BigDecimal importe, String idEjecucion) {
		super();
		this.idSolicitante = idSolicitante;
		this.anyo = anyo;
		this.mes = mes;
		this.importe = importe;
		this.idEjecucion = idEjecucion;
	}

	public Long getIdMensualidad() {
		return idMensualidad;
	}

	public void setIdMensualidad(Long idMensualidad) {
		this.idMensualidad = idMensualidad;
	}

	public Long getIdSolicitante() {
		return idSolicitante;
	}

	public void setIdSolicitante(Long idSolicitante) {
		this.idSolicitante = idSolicitante;
	}

	public Integer getAnyo() {
		return anyo;
	}

	public void setAnyo(Integer anyo) {
		this.anyo = anyo;
	}

	public Integer getMes() {
		return mes;
	}

	public void setMes(Integer mes) {
		this.mes = mes;
	}

	public Long getGrupoImpago() {
		return grupoImpago;
	}

	public void setGrupoImpago(Long grupoImpago) {
		this.grupoImpago = grupoImpago;
	}

	public Boolean getExoneracion() {
		return exoneracion;
	}

	public void setExoneracion(Boolean exoneracion) {
		this.exoneracion = exoneracion;
	}

	public BigDecimal getImporte() {
		return importe;
	}

	public void setImporte(BigDecimal importe) {
		this.importe = importe;
	}

	public String getIdEjecucion() {
		return idEjecucion;
	}

	public void setIdEjecucion(String idEjecucion) {
		this.idEjecucion = idEjecucion;
	}

	@Override
	public String toString() {
		return "MensualidadSolicitante [idMensualidad=" + idMensualidad + ", idSolicitante=" + idSolicitante + ", anyo="
				+ anyo + ", mes=" + mes + ", grupoImpago=" + grupoImpago + ", exoneracion=" + exoneracion + ", importe="
				+ importe + ", idEjecucion=" + idEjecucion + "]";
	}
	
}
